FruxonDocs
UsersCore

Update a user.

Updates the specified user's properties. Only admins can perform this operation.

PATCH
/v1/tenants/{tenant}/users/{user}

Path Parameters

user*string

The unique identifier of the user.

tenant*string

The tenant identifier

The fields to update.

role?string
Value in"admin" | "member"
[key: string]?never

Response Body

curl -X PATCH "https://api.fruxon.com/v1/tenants/string/users/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "username": "string",
  "email": "string",
  "firstName": "string",
  "lastName": "string",
  "avatarFileId": "string",
  "status": 0,
  "role": 0,
  "createdAt": 0,
  "modifiedAt": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}